Create an archived contract approval
post
/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/ContractArchivedApproval
Request
Path Parameters
-
contractsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Contracts resource and used to uniquely identify an instance of Contracts. The client should not generate the hash key value. Instead, the client should query on the Contracts collection resource in order to navigate to a specific instance of Contracts to get the hash key.
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : contracts-ContractArchivedApproval-item-response
Type:
Show Source
object-
AcquiredBy: string
Read Only:
trueMaximum Length:400The acquired by user of the archived contract approval. -
ActionDate: string
(date-time)
Read Only:
trueThe action date of the archived contract approval. -
Assignee: string
Read Only:
trueMaximum Length:400The assignee of the archived contract approval. -
AssigneeType: string
Read Only:
trueMaximum Length:20The assignee type of the archived contract approval. -
CompletedDate: string
(date-time)
Title:
Completion DateRead Only:trueThe completion date of the archived contract approval. -
CreatedBy: string
Read Only:
trueMaximum Length:64The user who created the archived contract approval. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the archived contract approval. -
DisplayName: string
Title:
AssigneeRead Only:trueMaximum Length:360The display name of the archived contract approval. -
Domain: string
Read Only:
trueMaximum Length:64The domain of the archived contract approval. -
EffectiveEndDate: string
(date)
Read Only:
trueThe effective end date of the archived contract approval. -
EffectiveStartDate: string
(date)
Read Only:
trueThe effective start date of the archived contract approval. -
IdentificationKey: string
Read Only:
trueMaximum Length:100The identification key of the archived contract approval. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe last update date of the archived contract approval. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64The user who last updated the archived contract approval. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Read Only:
trueThe object version number of the archived contract approval. -
Outcome: string
Title:
OutcomeRead Only:trueMaximum Length:100The outcome of the archived contract approval. -
Participant: string
Read Only:
trueMaximum Length:200The participant of the archived contract approval. -
ParticipantCode: string
Read Only:
trueMaximum Length:200The participant code of the archived contract approval. -
PersonNameId: integer
(int64)
Read Only:
trueThe person name ID of the archived contract approval. -
RootTaskId: string
Read Only:
trueMaximum Length:64The root task ID of the archived contract approval. -
Stage: string
Title:
StageRead Only:trueMaximum Length:200The stage of the archived contract approval. -
StageCode: string
Read Only:
trueMaximum Length:200The stage code of the archived contract approval. -
TaskId: string
Read Only:
trueMaximum Length:64The task ID of the archived contract approval. -
UserId: integer
(int64)
Read Only:
trueThe user ID of the archived contract approval. -
Username: string
Read Only:
trueMaximum Length:100The user name of the archived contract approval. -
Version: number
Read Only:
trueThe version of the archived contract approval.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.